[dm-crypt] Cryptsetup 1.6.X on Ubuntu 12.10

Arno Wagner arno at wagner.name
Thu Aug 29 05:37:37 CEST 2013


You can try to just compile and install from sources.
See instructions in the source package. Worst thing that
can happen is that it does not work.

If you decide to have the self-compiled binaries and the
ones from Ubuntu installed at the same time, you need to make
sure to use the right ones. Personally (on Debian) I just
locked the distro-package against updates and installed the 
self-compiled ones over the distribution binaries. That is 
dirty and may break at some time, but then I will just 
install over it again. An alternative is to install the
self-compiled to /usr/local/* and make sure to call them
instead of the distribution-supplied ones.
 
Arno


On Wed, Aug 28, 2013 at 02:10:00PM -0700, Juan Romano wrote:
> Is there a way to run the latest versions (1.6.1 or 1.6.2) of cryptsetup
> on Ubuntu 12.10 (kernel 3.2.48) ?
> 
> I am interested on the 'truecrypt' support (tcrypt type) added in the
> latest versions.
> 
>  
> 
> Currently Ubuntu runs cryptsetup version 1.4.3.
> 
>  
> 
> Any pointers would be appreciated.
> 
>  
> 
> Thanks,
> 
>  
> 
> Juan//
> 

> _______________________________________________
> dm-crypt mailing list
> dm-crypt at saout.de
> http://www.saout.de/mailman/listinfo/dm-crypt


-- 
Arno Wagner,     Dr. sc. techn., Dipl. Inform.,    Email: arno at wagner.name
GnuPG: ID: CB5D9718  FP: 12D6 C03B 1B30 33BB 13CF  B774 E35C 5FA1 CB5D 9718
----
There are two ways of constructing a software design: One way is to make it
so simple that there are obviously no deficiencies, and the other way is to
make it so complicated that there are no obvious deficiencies. The first
method is far more difficult.  --Tony Hoare


More information about the dm-crypt mailing list